digiKam Developer Documentation: Digikam::GPSItemContainer Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes | List of all members
Digikam::GPSItemContainer Class Reference
Inheritance diagram for Digikam::GPSItemContainer:

## Public Member Functions
| GPSItemContainer (const QUrl &url)
Loading and saving
virtual QString | saveChanges ()
virtual bool | loadImageData ()
bool | isDirty () const
QUrl | url () const
QDateTime | dateTime () const
GPS related functions
void | setCoordinates (const GeoCoordinates &newCoordinates)
GeoCoordinates | coordinates () const
GPSDataContainer | gpsData () const
void | setGPSData (const GPSDataContainer &container)
void | restoreGPSData (const GPSDataContainer &container)
| Restore the gps data to `container`.

## Static Public Attributes
static const int | ColumnAccuracy = 6
static const int | ColumnAltitude = 5
static const int | ColumnDateTime = 2
static const int | ColumnDOP = 9
static const int | ColumnFilename = 1
static const int | ColumnFixType = 10
static const int | ColumnGPSItemContainerCount = 13
static const int | ColumnLatitude = 3
static const int | ColumnLongitude = 4
static const int | ColumnNSatellites = 11
static const int | ColumnSpeed = 12
static const int | ColumnStatus = 8
static const int | ColumnTags = 7
static const int | ColumnThumbnail = 0
static const int | RoleCoordinates = Qt::UserRole + 1

## Tag related functions
GPSItemModel * | m_model = nullptr
QUrl | m_url
QDateTime | m_dateTime
bool | m_dirty = false
GPSDataContainer | m_gpsData
GPSDataContainer | m_savedState
bool | m_tagListDirty = false
QList< QList< TagData > > | m_tagList
QList< QList< TagData > > | m_savedTagList
bool | m_writeXmpTags = true
bool | m_writeMetaLoc = true
class | GPSItemModel
void | setTagList (const QList< QList< TagData > > &externalTagList)
| The tags added in reverse geocoding process are stored in each image, before they end up in external tag model.
bool | isTagListDirty () const
QList< QList< TagData > > | getTagList () const
| Returns the tag list of the current image.
void | restoreRGTagList (const QList< QList< TagData > > &tagList)
| Replaces the current tag list with the one contained in tagList.
void | writeTagsToXmp (const bool writeXmpTags)
| Writes the current tags to XMP metadata.
void | writeLocations (const bool writeMetaLoc)
| Writes the current tags to the metadata location fields.
void | setLocationInfo (const TagData &tagData, IptcCoreLocationInfo &locationInfo)
QVariant | data (const int column, const int role) const
| these are only to be called by the GPSItemModel
void | setModel (GPSItemModel *const model)
void | emitDataChanged ()
DMetadata * | getMetadataForFile () const
SaveProperties | saveProperties () const

## Functions used by the model
bool | lessThan (const GPSItemContainer *const otherItem, const int column) const
static void | setHeaderData (GPSItemModel *const model)

## Member Function Documentation

## ◆ isTagListDirty()

bool Digikam::GPSItemContainer::isTagListDirty | ( |  | ) | const

Returns
  Returns true is the current image has been modified and not saved.

## ◆ loadImageData()

bool Digikam::GPSItemContainer::loadImageData | ( |  | ) |
| virtual

## ◆ restoreGPSData()

void Digikam::GPSItemContainer::restoreGPSData | ( | const GPSDataContainer & | container | ) |

Sets m_dirty to false if container equals savedState.

## ◆ saveChanges()

QString Digikam::GPSItemContainer::saveChanges | ( |  | ) |
| virtual

## ◆ setTagList()

void Digikam::GPSItemContainer::setTagList | ( | const QList< QList< TagData > > & | externalTagList | ) |

This function adds them.

Parameters

  externalTagList | A list containing tags.